petsc-3.4.2 2013-07-02

# DMMeshGetTransitiveClosure

Return the points on the transitive closure of the in-edges or out-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetTransitiveClosure(DM dm, PetscInt p, PetscBool useCone, PetscInt *numPoints, const PetscInt *points[])

Not collective

### Input Parameters

| mesh | - The DMMesh
| p | - The Sieve point, which must lie in the chart set with DMMeshSetChart()
| useCone | - PETSC_TRUE for in-edges, otherwise use out-edges

### Output Parameters

| numPoints | - The number of points in the closure
| points | - The points

### See Also

DMMeshCreate(), DMMeshSetCone(), DMMeshSetChart(), DMMeshGetCone()

Level:beginner
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages